<template>
  <q-carousel
    v-model="scherm" control-color="primary"
    swipeable animated padding arrows infinite
    v-model:fullscreen="fullscreen"
    :autoplay="15000"
    role="region" aria-label="Korte introductie"
  >
    <q-carousel-slide name="render" class="schermafbeelding">
      <q-card class="helpcard shadow-9">
        <q-img src="~assets/schermen/render_med.png" class="scherm" fit="contain" alt="Schermafdruk rendering"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">De rendering van de taxonomy</div>
          <div class="text-subtitle1">
            De tabellen, of bij afwezigheid daarvan, de presentaties, worden als gerenderde tabel getoond.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="concepten" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/concepten_med.png" class="scherm" fit="contain" alt="Schermafdruk Concepten"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Concepten (1)</div>
          <div class="text-subtitle1">De bouwstenen van een taxonomy. Bekijk hun definities,
            documentatie, labels en voorkomen in de taxonomie.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="concepten_2" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/concepten_2_med.png" class="scherm" fit="contain" alt="Schermafdruk Filters concepten"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Concepten (2)</div>
          <div class="text-subtitle1">
            De lijst is doorzoekbaar en filterbaar op diverse eigenschappen
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="definition" class="schermafbeelding">
      <q-card class="helpcard shadow-4">

        <q-img src="~assets/schermen/definition_link_med.png" class="scherm" fit="contain" alt="Schermafdruk definition-link"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Definition link</div>
          <div class="text-subtitle1">
            Definitie van de primaire posten en de daarbij gekoppelde dimensies
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="dimension" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/dimensions_med.png" class="scherm" fit="contain" alt="Schermafdruk dimensions"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Dimensies</div>
          <div class="text-subtitle1">
            De definitie van de diverse dimensies, dit scherm kan leeg blijven,
            er zijn niet altijd dimensies in een taxonomie gedefinieerd
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="tables" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/tabellen_med.png" class="scherm" fit="contain" alt="Schermafdruk tabellen"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Tabellen</div>
          <div class="text-subtitle1">
            Toont, net als het renderscherm, de tabel geconstrueerd op basis van de definitie.
            De definitie is onder de tabel afgebeeld. Ook dit scherm kan leeg blijven,
            er zijn niet altijd tabellen in een taxonomie gedefinieerd
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="presentation" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/presentation_med.png" class="scherm" fit="contain" alt="Schermafdruk presentations"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Presentatie</div>
          <div class="text-subtitle1">
            De presentatie-onderdelen van de taxonomie.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="linkroles" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/linkroles_med.png" class="scherm" fit="contain" alt="Schermafdruk linkroles"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Linkroles</div>
          <div class="text-subtitle1">
            Linkroles. Een technisch concept in XBRL.
            Op basis hiervan kunnen verschillende onderdelen met elkaar worden verbonden.
            Dit scherm geeft een verzameld overzicht van welke tabel, primaire posten en dimensies
            met elkaar verbonden zijn.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="referenties" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img src="~assets/schermen/referenties_med.png" class="scherm" fit="contain" alt="Schermafdruk referenties"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Referenties</div>
          <div class="text-subtitle1">
            Veel concepten zijn voorzien van referenties naar wet- en regelgeving,
            in dit scherm zie je welke referenties er allemaal bestaan in een taxonomie.
            Bij elke referentie verschijnt een lijst met concepten die aan de referentie zijn gekoppeld.
            De lijst is filterbaar op bron.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <q-carousel-slide name="labels" class="schermafbeelding">
      <q-card class="helpcard shadow-4">
        <q-img class="scherm" fit="contain" src="~assets/schermen/labels_med.png" alt="Schermafdruk labels"></q-img>
        <q-card-section class="absolute-bottom custom-caption">
          <div class="text-h6">Labels</div>
          <div class="text-subtitle1">
            Alle concepten zijn voorzien van labels, vaak in meerdere talen.
            Soms bestaan er bijzondere labels voor een concept, zoals 'totalLabel'.
            In dit scherm kan je zoeken in de labels, en krijg je het daaraan verbonden concept te zien.
          </div>
        </q-card-section>
      </q-card>
    </q-carousel-slide>

    <template v-slot:control>
      <q-carousel-control
        position="bottom-right"
        :offset="[18, 18]"
      >
        <q-btn
          push round dense color="white" text-color="primary"
          :icon="fullscreen ? 'fullscreen_exit' : 'fullscreen'"
          @click="fullscreen = !fullscreen"
          title="Toggle fullscreen"
        />
      </q-carousel-control>

    </template>

  </q-carousel>
</template>

<script>
import {ref} from 'vue';


export default {
  name: "WelcomeCarousel",
  setup() {
    return {scherm: ref("render")}
  },
  data() {
    return {
      fullscreen: false
    }
  }
}
</script>

<style scoped lang="scss">
.q-carousel {
  height: 600px;
}

.q-carousel.fullscreen {
  height: 100%;
}

.helpcard {
  height: 98%;
  background-color: $secondary;
}

.scherm {
  height: 90%;
  margin-top: 10px;
}

.schermafbeelding {
}

.custom-caption {
  background-color: $primary;
  opacity: 85%;
  color: white;
  padding: 5px 20px;
}
</style>
